JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const addon = await client.v1.addons.retrieve('x');
console.log(addon.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
addon = client.v1.addons.retrieve(
id="x",
)
print(addon.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
addon, err := client.V1.Addons.Get(
context.TODO(),
"x",
stigg.V1AddonGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", addon.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.Addon;
import io.stigg.models.v1.addons.AddonRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Addon addon = client.v1().addons().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
addon = stigg.v1.addons.retrieve("x")
puts(addon)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons;
StiggClient client = new();
AddonRetrieveParams parameters = new() { ID = "x" };
var addon = await client.V1.Addons.Retrieve(parameters);
Console.WriteLine(addon);stigg v1:addons retrieve \
--api-key 'My API Key' \
--id xcurl --request GET \
--url https://api.stigg.io/api/v1/addons/{id} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/addons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "addon-extra-seats",
"displayName": "Extra Seats",
"description": "Additional team member seats",
"productId": "product-starter",
"status": "PUBLISHED",
"pricingType": "PAID",
"billingId": "price_1234567890",
"versionNumber": 1,
"isLatest": true,
"entitlements": [
{
"type": "FEATURE",
"id": "feature-advanced-analytics"
},
{
"type": "CREDIT",
"id": "api-calls"
}
],
"metadata": {},
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z",
"maxQuantity": 100,
"dependencies": [
"addon-premium-support"
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Addons
Get a single addon by ID
Retrieves an addon by its unique identifier, including entitlements and pricing details.
GET
/
api
/
v1
/
addons
/
{id}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const addon = await client.v1.addons.retrieve('x');
console.log(addon.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
addon = client.v1.addons.retrieve(
id="x",
)
print(addon.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
addon, err := client.V1.Addons.Get(
context.TODO(),
"x",
stigg.V1AddonGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", addon.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.Addon;
import io.stigg.models.v1.addons.AddonRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
Addon addon = client.v1().addons().retrieve("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
addon = stigg.v1.addons.retrieve("x")
puts(addon)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons;
StiggClient client = new();
AddonRetrieveParams parameters = new() { ID = "x" };
var addon = await client.V1.Addons.Retrieve(parameters);
Console.WriteLine(addon);stigg v1:addons retrieve \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The addon object with full details.
Response object
Addon configuration object
Show child attributes
Show child attributes
⌘I
